### Type parameters

- #### T

### Hierarchy

- Transaction

## Index

### Constructors

- constructor

### Properties

- cortege
- reject
- resolve

## Constructors

### constructor

- new Transaction(resolve: function, reject: function, cortege: InterceptorCortege): Transaction

- - Defined in repository/source/http/Transaction.ts:8

  #### Parameters

  - ##### resolve: function

    - - (value?: Response<T> | PromiseLike<Response<T>> | undefined): void

      - #### Parameters

        - ##### Optional value: Response<T> | PromiseLike<Response<T>> | undefined

        #### Returns void

  - ##### reject: function

    - - (value?: Response<T> | PromiseLike<Response<T>> | undefined): void

      - #### Parameters

        - ##### Optional value: Response<T> | PromiseLike<Response<T>> | undefined

        #### Returns void

  - ##### cortege: InterceptorCortege

  #### Returns Transaction

## Properties

### cortege

cortege: InterceptorCortege

- Defined in repository/source/http/Transaction.ts:8

### reject

reject: function

- Defined in repository/source/http/Transaction.ts:7

#### Type declaration

- - (value?: Response<T> | PromiseLike<Response<T>> | undefined): void

  - #### Parameters

    - ##### Optional value: Response<T> | PromiseLike<Response<T>> | undefined

    #### Returns void

### resolve

resolve: function

- Defined in repository/source/http/Transaction.ts:6

#### Type declaration

- - (value?: Response<T> | PromiseLike<Response<T>> | undefined): void

  - #### Parameters

    - ##### Optional value: Response<T> | PromiseLike<Response<T>> | undefined

    #### Returns void

Generated using TypeDoc